Bug 1077620 - (CVE-2013-7336) CVE-2013-7336 libvirt: unprivileged user can crash libvirtd during spice migration
CVE-2013-7336 libvirt: unprivileged user can crash libvirtd during spice migr...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130919,repor...
: Security
Depends On: 1009886 1010861
Blocks: 1077674
  Show dependency treegraph
 
Reported: 2014-03-18 06:32 EDT by Petr Matousek
Modified: 2014-03-24 05:00 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 06:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-03-18 06:32:55 EDT
Description of the problem:

Domblkstat is possible even with read-only connection, so whenever
migration with spice is done and domblkstat gets called at the same time
as qemuMonitorGetSpiceMigrationStatus(), there is certain possibility that
the daemon crashes.

An unprivileged user able to issue commands to running libvirtd could use
this flaw to crash libvirtd and prevent more privileged clients from
working correctly.

Upstream fix:
http://libvirt.org/git/?p=libvirt.git;a=commit;h=484cc321

Acknowledgements:

This issue was discovered by Marian Krcmarik of Red Hat.
Comment 1 Petr Matousek 2014-03-18 06:34:47 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of libvirt package as shipped with Red Hat Enterprise Linux 5 and 6 (since http://rhn.redhat.com/errata/RHBA-2013-1581.html, Red Hat Enterprise Linux 6.5 GA).
Comment 2 Eric Blake 2014-03-19 16:04:06 EDT
(In reply to Petr Matousek from comment #1)
> Statement:
> 
> Not vulnerable.
> 
> This issue did not affect the versions of libvirt package as shipped with
> Red Hat Enterprise Linux 5 and 6.

It turns out that I missed that the vulnerability had been backported to RHEL 6 as a result of bug 920205 (libvirt-0.10.2-20.el6); it was fixed for libvirt-0.10.2-27.el6.
Comment 3 Petr Matousek 2014-03-24 05:00:58 EDT
(In reply to Eric Blake from comment #2)
> It turns out that I missed that the vulnerability had been backported to
> RHEL 6 as a result of bug 920205 (libvirt-0.10.2-20.el6); it was fixed for
> libvirt-0.10.2-27.el6.

Thanks, Eric. I've adjusted the statement.

Note You need to log in before you can comment on or make changes to this bug.